[package]
name = "commonware-broadcast-fuzz"
version.workspace = true
publish = false
edition.workspace = true
license.workspace = true

[package.metadata]
cargo-fuzz = true

[dependencies]
arbitrary = { workspace = true, features = ["derive"] }
bytes.workspace = true
commonware-broadcast = { path = ".." }
commonware-codec.workspace = true
commonware-cryptography.workspace = true
commonware-p2p.workspace = true
commonware-runtime.workspace = true
commonware-utils.workspace = true
libfuzzer-sys.workspace = true
rand.workspace = true

[[bin]]
name = "broadcast_engine_operations"
path = "fuzz_targets/broadcast_engine_operations.rs"
test = false
doc = false
bench = false
